## org.apache.myfaces.custom.inputTextHelp
Class HtmlInputTextHelp

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.html.HtmlInputText
                          org.apache.myfaces.component.html.ext.HtmlInputText
                              org.apache.myfaces.custom.inputTextHelp.HtmlInputTextHelp

All Implemented Interfaces:
  DisplayValueOnlyCapable, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class HtmlInputTextHelp
extends HtmlInputText

Version:
  $Date: 2005-07-02 15:32:34 +01:00 (Thu, 09 Jun 2005)
Author:
  Thomas Obereder

Field Summary
`static java.lang.String` `COMPONENT_TYPE`
`static java.lang.String` `JS_FUNCTION_RESET_HELP`
`static java.lang.String` `JS_FUNCTION_SELECT_TEXT`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`HtmlInputTextHelp()`

Method Summary
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` `getHelpText()`
`boolean` `isSelectText()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setHelpText(java.lang.String helpText)`
`void` `setSelectText(boolean selectText)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlInputText
`getDisplayValueOnlyStyle, getDisplayValueOnlyStyleClass, getEnabledOnUserRole, getVisibleOnUserRole, isDisplayValueOnly, isRendered, isSetDisplayValueOnly, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlInputText

`getAccesskey, getAlt, getDir, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setAlt, setDir, setDisabled, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### JS_FUNCTION_SELECT_TEXT

    public static final java.lang.String JS_FUNCTION_SELECT_TEXT

See Also:
  Constant Field Values

### JS_FUNCTION_RESET_HELP

    public static final java.lang.String JS_FUNCTION_RESET_HELP

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputTextHelp

    public HtmlInputTextHelp()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

  Overrides:
    `getClientId` in class `HtmlInputText`

### getHelpText

    public java.lang.String getHelpText()

### setHelpText

    public void setHelpText(java.lang.String helpText)

### isSelectText

    public boolean isSelectText()

### setSelectText

    public void setSelectText(boolean selectText)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `HtmlInputText`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `HtmlInputText`